package org.implab.gradle.common.exec;

import java.util.Optional;

import org.eclipse.jdt.annotation.NonNullByDefault;

@NonNullByDefault
public interface PipeSpec {
    Optional<RedirectTo> stdout();

    Optional<RedirectTo> stderr();

    Optional<RedirectFrom> stdin();
}
